noSel()
    -webkit-touch-callout none
    -webkit-user-select none
    -ms-user-select none
    user-select none

clearfix()
  zoom 1
  &:after
  &:before
    content ""
    display table
  &:after
    clear both

placeholder()
    &::-webkit-input-placeholder
        {block}
    &:-moz-placeholder
        {block}
    &::-moz-placeholder
        {block}
    &:-ms-input-placeholder
        {block}

retina(file, ext, size)
  background-image url(file'.'ext)
  background-size size
  @media (min-device-pixel-ratio: 2),(min-resolution: 192dpi), (min-resolution: 2dppx)
    background-image url(file'@2x.'ext)
    background-size size

media_queries = {
  xxs: 'only screen and (max-width: 468px)',
  xs: 'only screen and (max-width: 767px)',
  sm: 'only screen and (max-width: 1023px)',
  md: 'only screen and (max-width: 1229px)',
  lg: 'only screen and (min-width: 1230px)',
  xsAfter: 'only screen and (min-width: 768px)',
  smOnly: 'only screen and (min-width: 768px) and (max-width: 1023px)',
  mdOnly: 'only screen and (min-width: 1024px) and (max-width: 1229px)',
}

fbp(breakpoints)
  conditions = ()
  for breakpoint in breakpoints
    push(conditions, media_queries[breakpoint])
  conditions = join(', ', conditions)
  @media conditions
    {block}

abs100()
  position absolute
  left 0
  top 0
  width 100%
  height 100%

objectFitCover()
  object-fit cover
  object-position center
  font-family 'object-fit: cover; object-position: center;'

objectFitCoverPosition(position)
  object-fit cover
  object-position position
  font-family 'object-fit: cover; object-position: 'position';'
